#ifndef RPCTHREAD_H
#define RPCTHREAD_H

#include <QThread>
#include <QStringList>

class RpcThread : public QThread
{
    Q_OBJECT
public:
    RpcThread(QObject *parent,
              const QStringList& sections,
              const QString& operation);

    bool hasErrors() const;

    bool isCancelled() const;

    QStringList errors() const;

    void cancel();

signals:
    void progress(int step, int total);

    // QThread interface
protected:
    void run();

private:
    bool mCancelled;

    QString mOperation;

    QStringList mErrors, mSections;
};

#endif // RPCTHREAD_H
